Skip to navigation

Revert a deployment

View as Markdown
Revert a deployment.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

migrationIdstringRequired
The unique ID of a migration.

Headers

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.

Response headers

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data. Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

Response

OK
idstringOptional
ID of the Deployment Manager migration process.
namestringOptional
Name of the Deployment Manager migration process.
descriptionstringOptional
Description of the Deployment Manager migration process.
sourceTenantNamestringOptional
Name of the source Tenant.
sourceTenantDescriptionstringOptional
Description of the source Tenant.
statusenumOptional
Status of the Deployment Manager migration process.
startTimestringOptional
start timestamp of the Deployment Manager migration process.
endTimestringOptional
end timestamp of the Deployment Manager migration process.
migratedBystringOptional
User who initiated the Deployment Manager migration process.
typestringOptional
Type of the Deployment Manager migration process.
environmentstringOptional
Environment of the Deployment Manager migration process.
emailIdsstringOptional
emailIds notified of the Deployment Manager migration process.
productCatalogbooleanOptional
Boolean flag specifies if the migration process includes product catalog module.
errorsstringOptional
Errors of the Deployment Manager migration process.